<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="">
  <!-- Favicon icon -->
  <link rel="icon" type="image/png" sizes="16x16" href="../../../assets/images/favicon.png">
  <title>{{ App }}</title>

</head>

<body class="fix-header fix-sidebar card-no-border">

  <!-- ============================================================== -->
  <!-- Main wrapper - style you can find in pages.scss -->
  <!-- ============================================================== -->
  <div id="main-wrapper">
    <!-- ============================================================== -->
    <!-- Topbar header - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <headertop> </headertop>
    <!-- ============================================================== -->
    <!-- End Topbar header -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Left Sidebar - style you can find in sidebar.scss  -->
    <!-- ============================================================== -->
    <menu> </menu>
    <!-- ============================================================== -->
    <!-- End Left Sidebar - style you can find in sidebar.scss  -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Page wrapper  -->
    <!-- ============================================================== -->
    <div class="page-wrapper">
      <!-- ============================================================== -->
      <!-- Container fluid  -->
      <!-- ============================================================== -->
      <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
          <div class="col-md-5 col-8 align-self-center">
            <h3 class="text-themecolor">Dashboard</h3>
            <ol class="breadcrumb">
              <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
              <li class="breadcrumb-item active">Dashboard</li>
            </ol>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <h1>Lista de tareas/actividades</h1>
            <div class="col-md-8">
              <table class="table">
                <thead>
                  <th>Fecha de inicio</th>
                  <th>Descripción</th>
                  <th>fecha de finalización</th>
                  <th>Status</th>
                </thead>
                <tbody>
                  <tr *ngFor="let tarea of Activities; let j = index" [id]="j">
                    <td>{{ tarea.start | date }}</td>
                    <td>{{ tarea.end | date }}</td>
                    <td>{{ tarea.description }}</td>
                    <td>
                      <p *ngIf="tarea.ready===1" class="text-success">Terminado</p>
                      <p *ngIf="tarea.ready===0" class="text-danger">Pendiente</p>
                    </td>
                    <td>
                      <button  class="btn btn-sm btn-danger" (click)="deleteTarea($event, j, tarea)" type="button" name="button">Delete</button>
                      &nbsp;
                      <button  (click)="abrirModal('modal','editar',tarea)" class="btn btn-sm btn-warning" type="button" name="button">Edit</button>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
            <div class="col-md-2">
              <button  (click)="abrirModal('modalNew','nueva',{})" class="btn btn-success" type="button" name="button">Agregar tarea</button>
            </div>
          </div>
        </div>
      </div>

      <footer class="footer"> © 2018  App </footer>

    </div>
  </div>

  <div class="modal" id="modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Editar tarea</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="col-md-12">
          <form class="">
              <div class="group-input">
                <label for="">Tarea</label>
                <input class="form-control" type="text" [(ngModel)]="tarea.description" name="description">
              </div>
              <br>
              <div class="group-input">
                <label for="">Fecha de inicio</label>
                <input class="form-control" type="date" [(ngModel)]="tarea.start" name="start">
              </div>
              <br>
              <div class="group-input">
                <label for="">Fecha de término</label>
                <input class="form-control" type="date" [(ngModel)]="tarea.end" name="end">
              </div>
              <br>
              <div class="group-input">
                <label for="">Estado</label>
                <select class="form-control" [(ngModel)]="tarea.ready" name="ready">
                  <option value="0">Pendiente</option>
                  <option value="1">Realizado</option>
                </select>
              </div>
          </form>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" (click)="editTarea(tarea)" class="btn btn-primary">Editar</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<div class="modal" id="modalNew" tabindex="-1" role="dialog">
<div class="modal-dialog" role="document">
  <div class="modal-content">
    <div class="modal-header">
      <h5 class="modal-title">Crear tarea</h5>
      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-md-12">
        <form class="">
          <form class="">
              <div class="group-input">
                <label for="">Tarea</label>
                <input class="form-control" type="text" [(ngModel)]="tarea.description" name="description">
              </div>
              <br>
              <div class="group-input">
                <label for="">Fecha de inicio</label>
                <input class="form-control" type="date" [(ngModel)]="tarea.start" name="start">
              </div>
              <br>
              <div class="group-input">
                <label for="">Fecha de término</label>
                <input class="form-control" type="date" [(ngModel)]="tarea.end" name="end">
              </div>
              <br>
              <div class="group-input">
                <label for="">Estado</label>
                <select class="form-control" [(ngModel)]="tarea.ready" name="ready">
                  <option value="0">Pendiente</option>
                  <option value="1">Realizado</option>
                </select>
              </div>
          </form>
        </form>
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" (click)="crearTarea()" class="btn btn-primary">Crear</button>
      <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
    </div>
  </div>
</div>
</div>

  </body>

  </html>
